Subject: [LON-CAPA-dev] Re: Catalog.pm missing

From: Stuart Raeburn <[email-masked]>
Date: Tue, 30 Sep 2008 07:57:00 -0400

Stefan,

The issue here is that Catalog.pm was added to DateTime::Locale  
sometime between version 0.35 and 0.40.  Although the most recent RPM  
provided in core repositories for a number of Linux distros which  
include DateTime::Locale is perl-DateTime-0.41, this package includes  
Date::Time::Locale version 0.37, which apparently lacks  
DateTime::Locale::Catalog.pm

The immediate solution is to get DateTime::Locale version 0.40. 0.41  
or 0.42 from cpan.org.  An alternative solution, which will be  
available later today, will be to use yum update (or up2date or yast,  
depending on distro) to update perl-DateTime to perl-DateTime-0.4304  
from the LON-CAPA repos in msu/testing on install.loncapa.org (as  
discussed in   
http://mail.lon-capa.org/pipermail/lon-capa-dev/2007-November/001852.html)

I'll post another message to this list when updated (version 0.4304)  
RPMs have been created for perl-DateTime for affected distros/archs.

Stuart Raeburn
MSU LON-CAPA group

> Hi again,
>
> I also tried "make clean" before "make build", but still the same.
> By the way, the issues also occurred on an brand new (virtual)
> installation, not only on our standard dev server.
>
> Stefan
> On 29.09.2008, 17:52 +0200 Stefan Bisitz wrote:
> > Thanks, Gerd, for the quick reply. Schneller als die Polizei erlaubt ;-)
> > > I followed your instructions but unfortunately this doesn't help. Still
> > the same issues.
> > > I'm using loncommon.pm 1.686 instead now until we find a solution.
> > > Any other idea?
> > > Sorry for no better news,
> > Stefan
> > > > On 29.09.2008, 11:38 -0400 Gerd Kortemeyer wrote:
> > > Hi,
> > > > > We had the same trouble from East Lansing, I believe, and  
> the issue  > > turned out to not be a missing Catalog.pm at all.  
> Instead, I seem to  > > remember that there was a syntax error  
> elsewhere in code that somebody  > > modified locally. The Apache  
> "backtracer" is not the best, and the  > > error message was spurious.
> > > > > Do a complete
> > > > > cvs update -d -A
> > > cd build
> > > make build
> > > make install
> > > restart
> > > > > The problem will probably go away.
> > > > > - Gerd.
> > > > > > > On Sep 29, 2008, at 11:17 AM, Stefan Bisitz wrote:
> > > > > > Hi,
> > > >
> > > > An update on our development server (CentOS 5) to bleeding edge has
> > > > caused troubles. Catalog.pm is missing.
> > > >
> > > > The restart of the webserver complains:
> > > > (/var/log/httpd/error_log)
> > > > [error] Can't locate DateTime/Locale/Catalog.pm in @INC (
> > > > [...]
> > > > ) at /home/httpd/lib/perl//Apache/loncommon.pm line 72.
> > > >
> > > > The latest version of loncommon.pm (1.687) uses
> > > > use DateTime::Locale::Catalog;
> > > > in line 72
> > > >
> > > > I checked /etc/yum.conf and found the production versions. I changed
> > > > this to testing versions according to Stuarts E-Mail:
> > > >  
> http://mail.lon-capa.org/pipermail/lon-capa-dev/2007-November/001852.html
> > > > and executed
> > > > yum update
> > > >
> > > > Catalog.pm is still missing.
> > > >
> > > > What to do? Manual install? Of course I can do this, but  
> shouldn't  > > > it be
> > > > "automatically" included? Can I expect that it will be included in the
> > > > LON-CAPA-prerequisites in future?
> > > >
> > > > What do you suggest to do for now?
> > > >
> > > > Thanks,
> > > > Stefan Bisitz
> > > >
> > > >